Jump to content

Remove PHP 5.4 to 5.6 entirely and switch to MariaDB


Recommended Posts

Would be nice to finally kill those old versions off the servers for good. Even if security backports exist due to Byet's servers being on CentOS, most newer software has dropped priority support for ~7.2 by now, it seems to me (7.1 is pretty much unsupported now and anything below is officially EOL since the start of the year). The default is 7.3 anyway here as far as I can tell, even if in certain parts of the panel it still says 7.0.

In regards to MySQL/MariaDB this is purely out of the interest of the FOSS community and the fact said projects have diversed somewhat with MariaDB making the bigger strides and having the more widespread support from software (and not locking features out of the freely available version like Oracle did).

 

Any thoughts? Not expecting it overnight but would be a neat thing. MariaDB would probably be easier to drop in place than MySQL given we're on MySQL 5.6 here :)

Link to post
Share on other sites

As for the PHP versions, I wouldn't mind if the old PHP versions were removed. However, it's important to note that there are still plenty of sites and scripts which don't work properly on new PHP versions. These are often crappy, unmaintained scripts, likely with plenty of security problems, but there are still people using it.

As for MySQL, I don't agree with you. MariaDB is not a drop-in replacement from MySQL. I've had problems in the past with some software refusing to run on MariaDB, because of backward version compatibility checks (e.g. only supporting versions 5.5, 5.6 and 5.7, but not 10.x). Also, note that iFastNet doesn't use Oracle's MySQL, but Percona Server. Percona Server, unlike MariaDB, does intend to maintain full compatibility with MySQL.

Also, I've seen issues in the past where MariaDB has bugs causing severe performance issues in certain use cases, which were fixed by both MySQL and Percona.

So I personally think choosing Percona instead of MariaDB was a good choice. Or at least, good enough that it's not worth the effort to switch now.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...